import vultron.cmd

class Backup(vultron.cmd.Command):
  def vultron_list(self):
    """Display all stored snapshots."""

    backups = self.api.get("backups")
    return backups["backups"]

  def vultron_get(self, backup_id):
    """Display a specific snapshot."""

    backup = self.api.get("backups", backup_id)
    return [backup["backup"]]
