import vultron.cmd

class Billing(vultron.cmd.Command):
  def vultron_list(self): # == billing history list (lists all payments and voices)
    """Display all billing history."""

    billing = self.api.get("billing", "history")
    return billing["billing_history"]

  def vultron_invoices(self): # == billing invoice list
    invoices = self.api.get("billing", "invoices")
    return invoices["billing_invoices"]

# billing invoice get <id> is a specific entry from vultron_invoices
# billing invoice items <id> gets all entries of the invoice
